import { Headers as NodeHeaders, Request as NodeRequest } from "@remix-run/node";
import type { CloudFrontRequestEvent, CloudFrontRequestHandler, CloudFrontHeaders } from "aws-lambda";
import type { AppLoadContext, ServerBuild } from "@remix-run/server-runtime";
export interface GetLoadContextFunction {
    (event: CloudFrontRequestEvent): AppLoadContext;
}
export declare type RequestHandler = ReturnType<typeof createRequestHandler>;
export declare function createRequestHandler({ getBuild, getLoadContext, mode, originPaths, debug, onError }: {
    getBuild: () => ServerBuild;
    getLoadContext?: GetLoadContextFunction;
    mode?: string;
    originPaths?: (string | RegExp | {
        test: RegExp;
        mapper: ((s: string) => Promise<string>) | null;
    })[];
    debug?: boolean;
    onError?: (e: Error) => void;
}): CloudFrontRequestHandler;
export declare function createCloudFrontHeaders(responseHeaders: NodeHeaders): CloudFrontHeaders;
export declare function createRemixHeaders(requestHeaders: CloudFrontHeaders): NodeHeaders;
export declare function createRemixRequest(event: CloudFrontRequestEvent): NodeRequest;
